/// <reference types="node" resolution-mode="require"/>
/// <reference types="node" resolution-mode="require"/>
/// <reference types="node" resolution-mode="require"/>
import { existsSync as _existsSync } from 'fs';
import _fsp from 'fs/promises';
import * as _path from 'path';
import { PackageManagerControllerBase } from './package_manager_controller_base.js';
import { YarnClassicLockFileReader } from './lock-file-reader/yarn_classic_lock_file_reader.js';
/**
 * YarnClassicPackageManagerController is an abstraction around yarn classic commands that are needed to initialize a project and install dependencies
 */
export declare class YarnClassicPackageManagerController extends PackageManagerControllerBase {
    protected readonly cwd: string;
    protected readonly fsp: typeof _fsp;
    protected readonly path: _path.PlatformPath;
    protected readonly execa: import("execa").ExecaMethod<{}>;
    protected readonly executeWithDebugLogger: (cwd: string, executable: string, args?: readonly string[] | undefined, execa?: import("execa").ExecaMethod<{}>, options?: import("@aws-amplify/plugin-types").ExecaOptions | undefined) => import("execa").ResultPromise<import("execa").Options>;
    protected readonly existsSync: typeof _existsSync;
    protected readonly lockFileReader: YarnClassicLockFileReader;
    /**
     * Abstraction around yarn classic commands that are needed to initialize a project and install dependencies
     */
    constructor(cwd: string, fsp?: typeof _fsp, path?: _path.PlatformPath, execa?: import("execa").ExecaMethod<{}>, executeWithDebugLogger?: (cwd: string, executable: string, args?: readonly string[] | undefined, execa?: import("execa").ExecaMethod<{}>, options?: import("@aws-amplify/plugin-types").ExecaOptions | undefined) => import("execa").ResultPromise<import("execa").Options>, existsSync?: typeof _existsSync, lockFileReader?: YarnClassicLockFileReader);
    initializeTsConfig: (targetDir: string) => Promise<void>;
    private addTypescript;
}
//# sourceMappingURL=yarn_classic_package_manager_controller.d.ts.map